Bug 853424 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:ede164182fc87f5549ffd62dda5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 09:29 EDT by Ademar
Modified: 2013-08-01 15:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (213 bytes, text/plain)
2012-08-31 09:29 EDT, Ademar
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-08-31 09:29 EDT, Ademar
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (375 bytes, text/plain)
2012-08-31 09:29 EDT, Ademar
no flags Details
Content of captured error in /sys/kernel/debug/dri/0/i915_error_state (207.00 KB, application/x-gzip)
2012-10-04 04:45 EDT, sebastien.collado
no flags Details

  None (edit)
Description Ademar 2012-08-31 09:29:04 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:2: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f82cceaf000+0x60e4) [0x7f82cceb50e4]
:3: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:4: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:5: /lib64/libpthread.so.0 (0x3f48800000+0xefe0) [0x3f4880efe0]
:6: /lib64/libc.so.6 (ioctl+0x7) [0x3f484ea2f7]
:7: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x3351003548]
:8: /lib64/libdrm.so.2 (drmCommandNone+0x16) [0x3351005706]
:9: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f82ce9f4000+0x139f2) [0x7f82cea079f2]
:10: /usr/bin/Xorg (BlockHandler+0x4a) [0x4381da]
:11: /usr/bin/Xorg (WaitForSomething+0x114) [0x4627a4]
:12: /usr/bin/Xorg (0x400000+0x34111) [0x434111]
:13: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3f48421735]
:15: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Ademar 2012-08-31 09:29:07 EDT
Created attachment 608510 [details]
File: event_log
Comment 2 Ademar 2012-08-31 09:29:09 EDT
Created attachment 608511 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 3 Ademar 2012-08-31 09:29:11 EDT
Created attachment 608513 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 sebastien.collado 2012-10-04 04:45:23 EDT
Created attachment 621450 [details]
Content of captured error in /sys/kernel/debug/dri/0/i915_error_state

Related message in /var/log/messages :
kernel: [17212.952044] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
kernel: [17212.952056] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
Comment 5 Adam Jackson 2012-10-18 17:50:38 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 6 Adam Jackson 2012-10-18 17:50:50 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 7 Jonas Thiem 2012-12-22 18:44:26 EST
I installed unofficial Fedora 17 Steam package, and then I installed and started Team Fortress 2. Alt-tabbing out of TF2 using the gnome-shell might have been a part of the problem. TF2 was in the main menu at this time, when the X server problem notification popped up

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Jonas Thiem 2012-12-22 19:10:13 EST
This happens with like every single button click in the Team Fortress 2 main menu, resulting in TF2 hanging for a few seconds and then resuming (with the error notification popping up containing the Xorg backtrace).

While the game doesn't crash, it's very troublesome to just navigate the main menu with this bug, so it's a pretty prominent and major issue with TF2! Never seen it happen outside TF2 though..
Comment 9 Philipp Gampe 2013-01-04 18:34:08 EST
Happens while watching TV with Kaffeine.

I have this in the log, maybe it helps to narrow down the error:

Jan  4 21:35:54 phil-lenovo kernel: [41654.801886] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:54 phil-lenovo kernel: [41654.803168] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:54 phil-lenovo kernel: [41654.815953] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:54 phil-lenovo kernel: [41654.817525] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:54 phil-lenovo kernel: [41654.822576] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:54 phil-lenovo kernel: [41654.824135] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:54 phil-lenovo kernel: [41654.827315] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:54 phil-lenovo kernel: [41654.829712] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:59 phil-lenovo kernel: [41659.318867] [drm:i915_hangcheck_hung] *ERROR* Hangcheck timer elapsed... GPU hung
Jan  4 21:35:59 phil-lenovo kernel: [41659.318878] [drm] capturing error event; look for more information in /debug/dri/
1/i915_error_state
Jan  4 21:35:59 phil-lenovo kernel: [41659.346788] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:59 phil-lenovo kernel: [41659.348776] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:59 phil-lenovo kernel: [41659.400723] [drm:init_ring_common] *ERROR* render ring initialization failed ctl 
00000000 head 00000000 tail 00000000 start 00000000
Jan  4 21:35:59 phil-lenovo kernel: [41659.402658] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:59 phil-lenovo kernel: [41659.404662] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:59 phil-lenovo kernel: [41659.407313] [drm:__gen6_gt_force_wake_get] *ERROR* Force wake wait timed out
Jan  4 21:35:59 phil-lenovo kernel: [41659.408900] [drm:__gen6_gt_wait_for_thread_c0] *ERROR* GT thread status wait time
d out
Jan  4 21:35:59 phil-lenovo kernel: [41659.414171] ------------[ cut here ]------------
Jan  4 21:35:59 phil-lenovo kernel: [41659.414242] WARNING: at drivers/gpu/drm/i915/intel_pm.c:4059 __gen6_gt_wait_for_f
ifo+0x89/0x90 [i915]()
Jan  4 21:35:59 phil-lenovo kernel: [41659.414245] Hardware name: 4180PH3
Jan  4 21:35:59 phil-lenovo kernel: [41659.414248] Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE iptable_n
at nf_nat xt_CHECKSUM iptable_mangle be2iscsi vboxpci(O) iscsi_boot_sysfs vboxnetadp(O) vboxnetflt(O) bnx2i bridge stp l
lc vboxdrv(O) cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio rfcomm libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad i
b_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep bbswitch(O) ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv
6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables input_polldev rc_dib0700_rc5 dvb_usb
_dib0700 dib8000 dib7000m dib0090 dib0070 dib7000p dib3000mc dibx000_common dvb_usb dvb_core rc_core btusb bluetooth snd_hda_codec_conexant binfmt_misc arc4 iwldvm mac80211 iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm coretemp microcode iwlwifi i2c_i801 snd_page_alloc vhost_net e1000e snd_timer lpc_ich tun mfd_core mei cfg80211 macvtap macvlan thinkpad_acpi kvm_intel snd sound
Jan  4 21:35:59 phil-lenovo kernel: core kvm rfkill uinput nfsd auth_rpcgss nfs_acl lockd sunrpc xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core i915 mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: nouveau]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414382] Pid: 20722, comm: kworker/u:28 Tainted: G         C O 3.6.10-2.fc17.x86_64 #1
Jan  4 21:35:59 phil-lenovo kernel: [41659.414385] Call Trace:
Jan  4 21:35:59 phil-lenovo kernel: [41659.414398]  [<ffffffff8105c8ef>] warn_slowpath_common+0x7f/0xc0
Jan  4 21:35:59 phil-lenovo kernel: [41659.414404]  [<ffffffff8105c94a>] warn_slowpath_null+0x1a/0x20
Jan  4 21:35:59 phil-lenovo kernel: [41659.414439]  [<ffffffffa01d55b9>] __gen6_gt_wait_for_fifo+0x89/0x90 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414465]  [<ffffffffa019302d>] i915_write32+0xfd/0x130 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414497]  [<ffffffffa01d8a3b>] init_ring_common+0x4b/0x390 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414526]  [<ffffffffa01d9542>] ? init_render_ring+0x122/0x300 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414552]  [<ffffffffa01936b2>] i915_reset+0xf2/0x190 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414578]  [<ffffffffa01986e3>] i915_error_work_func+0xc3/0x110 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414600]  [<ffffffff81078cb7>] process_one_work+0x147/0x4a0
Jan  4 21:35:59 phil-lenovo kernel: [41659.414625]  [<ffffffffa0198620>] ? gen6_pm_rps_work+0xd0/0xd0 [i915]
Jan  4 21:35:59 phil-lenovo kernel: [41659.414646]  [<ffffffff8107aa2e>] worker_thread+0x15e/0x480
Jan  4 21:35:59 phil-lenovo kernel: [41659.414654]  [<ffffffff8107a8d0>] ? manage_workers+0x2f0/0x2f0
Jan  4 21:35:59 phil-lenovo kernel: [41659.414660]  [<ffffffff8107fdf3>] kthread+0x93/0xa0
Jan  4 21:35:59 phil-lenovo kernel: [41659.414668]  [<ffffffff81628184>] kernel_thread_helper+0x4/0x10
Jan  4 21:35:59 phil-lenovo kernel: [41659.414674]  [<ffffffff8107fd60>] ? kthread_freezable_should_stop+0x70/0x70
Jan  4 21:35:59 phil-lenovo kernel: [41659.414680]  [<ffffffff81628180>] ? gs_change+0x13/0x13
Jan  4 21:35:59 phil-lenovo kernel: [41659.414684] ---[ end trace 992a89b90ed996df ]---
Jan  4 21:35:59 phil-lenovo kernel: [41659.419855] ------------[ cut here ]------------



I get this error once a while, so if someone has a suggestion on what to do, then I can test for sure.
Comment 10 vintersorg 2013-02-10 12:43:07 EST
i play in CS:source. game freeze to 5 seconds

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Todd 2013-04-03 02:07:15 EDT
Network card error

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Fedora End Of Life 2013-07-04 03:11:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 15:00:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.